summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorUlrich Müller <ulm@gentoo.org>2008-10-16 09:28:58 +0000
committerUlrich Müller <ulm@gentoo.org>2008-10-16 09:28:58 +0000
commit6329349e7278bddd35258f63a693393a7a1f0487 (patch)
tree9b8c66dd2e225f242ff47b1cbcdb4aff00946d68 /eclass/elisp.eclass
parentCleanup old ebuilds. (diff)
downloadgentoo-2-6329349e7278bddd35258f63a693393a7a1f0487.tar.gz
gentoo-2-6329349e7278bddd35258f63a693393a7a1f0487.tar.bz2
gentoo-2-6329349e7278bddd35258f63a693393a7a1f0487.zip
Partial sync from Emacs overlay (revision 1176).
elisp.class: Allow for packages without site-init file in elisp_src_install. Remove "die" messages since elisp-common.eclass is verbose enough. Document SITEFILE variable. elisp-common.eclass: Use sed instead of cat for concatenation of site-init files, since they may not have a trailing newline. Add function names to error messages. Document SITEETC as eclass variable.
Diffstat (limited to 'eclass/elisp.eclass')
-rw-r--r--eclass/elisp.eclass18
1 files changed, 13 insertions, 5 deletions
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index 85687a508f69..9173445a2b65 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.34 2008/09/19 08:12:48 ulm Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.35 2008/10/16 09:28:58 ulm Exp $
#
# Copyright 2002-2003 Matthew Kennedy <mkennedy@gentoo.org>
# Copyright 2003 Jeremy Maitin-Shepard <jbms@attbi.com>
@@ -24,6 +24,13 @@
# file with the file name ${P}.el, then this eclass will move ${P}.el to
# ${PN}.el in src_unpack().
+# @ECLASS-VARIABLE: SITEFILE
+# @DESCRIPTION:
+# Name of package's site-init file. The filename must match the shell
+# pattern "[1-8][0-9]*-gentoo.el"; numbers below 10 and above 89 are
+# reserved for internal use. "50${PN}-gentoo.el" is a reasonable choice
+# in most cases.
+
# @ECLASS-VARIABLE: DOCS
# @DESCRIPTION:
# DOCS="blah.txt ChangeLog" is automatically used to install the given
@@ -59,13 +66,14 @@ elisp_src_unpack() {
}
elisp_src_compile() {
- elisp-compile *.el || die "elisp-compile failed"
+ elisp-compile *.el || die
}
elisp_src_install() {
- elisp-install ${PN} *.el *.elc || die "elisp-install failed"
- elisp-site-file-install "${FILESDIR}/${SITEFILE}" \
- || die "elisp-site-file-install failed"
+ elisp-install ${PN} *.el *.elc || die
+ if [ -n "${SITEFILE}" ]; then
+ elisp-site-file-install "${FILESDIR}/${SITEFILE}" || die
+ fi
if [ -n "${DOCS}" ]; then
dodoc ${DOCS} || die "dodoc failed"
fi